org.richfaces.component.html

## Class HtmlDataOrderedList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.ajax4jsf.component.UIDataAdaptor
        - - org.ajax4jsf.component.SequenceDataAdaptor
          - - org.richfaces.component.UIDataList
            - - org.richfaces.component.html.HtmlDataOrderedList

- All Implemented Interfaces:
    javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

      public class HtmlDataOrderedList
      extends UIDataList

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor

      `org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.UIDataAdaptor

      `COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlDataOrderedList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnClasses()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFooterClass()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getRowClasses()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getType()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setColumnClasses(java.lang.String _columnClasses)`
    `void` | `setDir(java.lang.String _dir)`
    `void` | `setFooterClass(java.lang.String _footerClass)`
    `void` | `setHeaderClass(java.lang.String _headerClass)`
    `void` | `setLang(java.lang.String _lang)`
    `void` | `setRowClasses(java.lang.String _rowClasses)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTitle(java.lang.String _title)`
    `void` | `setType(java.lang.String _type)`

    - ### Methods inherited from class org.richfaces.component.UIDataList

      `dataChildren, fixedChildren`

    - ### Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor

      `createComponentState, createDataModel, getDataModel, setDataModel`

    - ### Methods inherited from class org.ajax4jsf.component.UIDataAdaptor

      `addAjaxKeyEvent, addRequestKey, beforeRenderResponse, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

    - ### Methods inherited from class javax.faces.component.UIData

      `getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlDataOrderedList

          public HtmlDataOrderedList()

  - ### Method Detail

    - #### getColumnClasses

          public java.lang.String getColumnClasses()

    - #### setColumnClasses

          public void setColumnClasses(java.lang.String _columnClasses)

    - #### getDir

          public java.lang.String getDir()

    - #### setDir

          public void setDir(java.lang.String _dir)

    - #### getFooterClass

          public java.lang.String getFooterClass()

    - #### setFooterClass

          public void setFooterClass(java.lang.String _footerClass)

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String _headerClass)

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String _lang)

    - #### getRowClasses

          public java.lang.String getRowClasses()

    - #### setRowClasses

          public void setRowClasses(java.lang.String _rowClasses)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String _type)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.ajax4jsf.component.UIDataAdaptor`

Copyright © 2013. All Rights Reserved.